# ===================================================
# ===================================================
# Code to reproduce Tables 5-7 in application
# ===================================================
# ===================================================


library(zoo)          # for coredata()-command
library(fGarch)       # for garchFit()-command
library(evd)          # for fpot()-command
source("RfnsAppl.R")  # contains functions "Expectile.est", "VaR.Backtest", "ES.Backtest", "Exp.Backtest", "loss.VaR", "loss.ES", "loss.Exp", "dm95.test"
 

# ===================================================
# Table 5: n = 500
# ===================================================

Table5 <- wrapper(n=510, alpha = c(0.95, 0.99, 0.995))
Table5$SR
Table5$DM95


# ===================================================
# Table 6: n = 1010
# ===================================================

Table6 <- wrapper(n=1010, alpha = c(0.99, 0.995, 0.999))
Table6$SR
Table6$DM95


# ===================================================
# Table 7: n = 2010
# =================================================== 

Table7 <- wrapper(n=2010, alpha = c(0.995, 0.999, 0.9995))
Table7$SR
Table7$DM95

